Parolacce e basi border
Status: Closed Start date: 24 Jan 2020

Priority: Normal Due date:  

Assignee: John Abbott % Done: 100%

Category: CoCoA-4 function to be added Estimated time: 0.00 hour

Target version: CoCoA-5.3.0 Spent time: 0.90 hour

Description

Martin vuole che il vecchio pacchetto per le basi border sia tradotto in CoCoA-5.

Sono 1400 righe scritte da scimpanzee.  Magari si puo` finire per l'anno 2100.

Parolacce *!#$

History

#1 - 24 Jan 2020 14:59 - John Abbott

- Description updated

#2 - 24 Jan 2020 15:00 - John Abbott

Maybe Long can do this.  I certainly do not want to.

Why the F*** does Martin get his students to produce so much poor quality code???

And then expect me to clean up the mess???

#3 - 24 Jan 2020 21:32 - John Abbott

L'idea che il codice di Kaspar (BB in C++) muoia dispiace a Martin.

Ma non vedo proprio perche' io devo pagare il prezzo di mantenere codice altrui gratis (non so come sia la qualita`).

Se MK non ha fatto in modo che il codice scritto dal suo gruppo sia ben scritto, documentato, ecc.; allora paga lui`

il prezzo di pulirlo.  Puo` chiedere a un professionista... quanto costa?  5000?  10000?  Non so.

Oppure puo` chiedere a uno studente: costa meno, ma probabilmente in 5 anni sara` di nuovo codice morto.

Il nuovo codice di Long... forse lo rimpiazza.  Forse e` piu` lento.

Documentato non e`.  Variabili con nomi suggestivi... ce ne sono ben poche.

Long pare fiero del suo codice; ce n'e` tanto, e oggi funziona.  Dopodomani...?

#4 - 13 Feb 2020 17:22 - John Abbott

- Status changed from New to Closed

- Assignee set to John Abbott

- % Done changed from 0 to 100

Robbiano dice che il nuovo codice di Long e` sufficiente.  MK crede che la vecchia codice (in C++) sia piu` veloce.

Che vuole il codice di qualita` che durera` nel tempo deve pagare il prezzo per produrlo (e mantenerlo).

Magari R puo` chiarire a MK questo realta`... pero` so gia` che MK non e` disposto a pagare.
Chiudo!
